std::chrono::year_month_weekday_last(3)

NAME
std::chrono::year_month_weekday_last - std::chrono::year_month_weekday_last

Synopsis
   Defined in header <chrono>
   class year_month_weekday_last; (since C++20)
   The class year_month_weekday_last represents the last weekday of a specific year and
   month. It is a field-based time point, with a resolution of std::chrono::days,
   except that it is limited to pointing to the last weekday of a year and month.
   std::chrono::years- and std::chrono::months-oriented arithmetic are supported
   directly. An implicit conversion to std::chrono::sys_days allows
   std::chrono::days-oriented arithmetic to be performed efficiently.
   year_month_weekday_last is a TriviallyCopyable StandardLayoutType.

Member functions
   constructor constructs a year_month_weekday_last
                       (public member function)
   operator+= modifies the time point by some number of months or years
   operator-= (public member function)
   year
   month accesses the fields of this object
   weekday (public member function)
   weekday_last
   operator sys_days converts to a std::chrono::time_point
   operator local_days (public member function)
   ok checks whether this object represents a valid date
                       (public member function)
  Nonmember functions
   operator== compares two year_month_weekday_last values
   (C++20) (function)
   operator+ adds or subtracts a year_month_weekday_last and some number of years or
   operator- months
   (C++20) (function)
   operator<< outputs a year_month_weekday_last into a stream
   (C++20) (function template)

Helper classes
                        specialization of
                        std::formatter that formats a
   std::formatter<std::chrono::year_month_weekday_last> year_month_weekday_last
   (C++20) according to the provided
                        format
                        (class template specialization)